@import 'mixins';

* {
    @include box-sizing;
}

a:hover,
a:focus,
a {
    text-decoration: none;
}


body {
    font-family: sans-serif;
    -webkit-font-smoothing: antialiased;
    -moz-font-smoothing: antialiased;
    -ms-font-smoothing: antialiased;
    -o-font-smoothing: antialiased;
    overflow: scroll;
    overflow-x: hidden!important;
}

.pattaya {
    font-family: 'Pattaya', sans-serif;
}

.overlay {
    position: relative;
    width: 100%;
    height: 100%;
    background-color: rgba(0,0,0,0.5);
}

section {
    padding: 80px 0;
}

.title {
    margin-bottom: 60px;
    h2 {
        letter-spacing: 1px;
    }
}

/* ------------------------- Start Media Query -------------------------------------- */

/* X Small Screen */
@media(min-width: 100px) and (max-width: 767px) {
    
    /* Start Navbar */
    .navbar .navbar-nav {
        border-top: 1px solid #eee;
        margin: 20px 0;
    }
    
    .navbar .nav-item {
        margin: 10px auto;
    }
    
    .navbar .nav-item a {
        font-size: 17px;
    }
    
    .navbar .nav-item:first-of-type {
        padding-top: 20px;
    }
    
    .navbar-brand img {
        width: 120px;
        max-width: 100%;
    }
    
    .header .title {
        width: calc(100vw - 20px );
    }
    
    .header .title h1 {
        font-size: 3rem;
    }
    
    .typed-cursor, .type {
        font-size: 16px;
    }
    
    .btn-manisa {
        padding: 7px 21px;
        font-size: 15px;
    }
    
    .navbar-toggler .menu .line1, 
    .navbar-toggler .menu .line2, 
    .navbar-toggler .menu .line3 {
        -webkit-transition: all 320ms ease-in;
        -moz-transition: all 320ms ease-in;
        -ms-transition: all 320ms ease-in;
        -o-transition: all 320ms ease-in;
        transition: all 320ms ease-in;
    }
}

/* Small Screen */
@media(min-width: 767px) and (max-width: 991px) {
    
    /* Start Navbar */
    
    .navbar .navbar-nav {
        border-top: 1px solid #eee;
        margin: 20px 0;
    }
    
    .navbar .nav-item {
        margin: 10px auto;
    }
    
    .navbar .nav-item a {
        font-size: 17px;
    }
    
    .navbar .nav-item:first-of-type {
        padding-top: 20px;
    }
}

/* Medium Screen */
@media(min-width: 992px) and (max-width: 1199px) {
    
    

}

/* Larg Screen */
@media(min-width: 1200px) {
    
}
/* ------------------------- End Media Query ---------------------------------------- */		